﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;

namespace Oppg_09
{
    public partial class utdata : Page
    {
        public utdata()
        {
            InitializeComponent();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            //Deklarerer variabler
            float innkjopspris;
            float innkjopskost_prosent;
            float innkjopskost_kr;
            float inntakskost;
            float indir_kost_prosent;
            float indir_kost_kr;
            float selvkost;
            float fortjeneste_prosent;
            float fortjeneste_kr;
            float salgspris;

            //Henter brukernes innskrevne data
            innkjopspris = float.Parse(NavigationContext.QueryString["Innkjopspris"]);
            innkjopskost_prosent = float.Parse(NavigationContext.QueryString["DirKostnPros"]);
            indir_kost_prosent = float.Parse(NavigationContext.QueryString["IndirKostnPros"]);
            fortjeneste_prosent = float.Parse(NavigationContext.QueryString["FortjenestePros"]);

            //Utfører alle beregninger
            innkjopskost_kr = innkjopspris * innkjopskost_prosent / 100;
            inntakskost = innkjopspris + innkjopskost_kr;
            indir_kost_kr = inntakskost * indir_kost_prosent / 100;
            selvkost = inntakskost + indir_kost_kr;
            fortjeneste_kr = selvkost * fortjeneste_prosent / 100;
            salgspris = selvkost + fortjeneste_kr;

            //Presenterer de utregnede verdier i kalkylen
            textBlock9.Text = innkjopspris.ToString("#,##0.00");
            textBlock10.Text = innkjopskost_kr.ToString("#,##0.00");
            textBlock11.Text = inntakskost.ToString("#,##0.00");
            textBlock12.Text = indir_kost_kr.ToString("#,##0.00");
            textBlock13.Text = selvkost.ToString("#,##0.00");
            textBlock14.Text = fortjeneste_kr.ToString("#,##0.00");
            textBlock15.Text = salgspris.ToString("#,##0.00");
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/inndata.xaml", UriKind.Relative));
        }

    }
}
