﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Oppg_22
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            short teller;
            textBox1.Text = "";
            for (teller = 65; (teller <= 90); teller++)
            {
                // 65 = A og 197 = Å
                textBox1.Text = textBox1.Text + teller + " " + Convert.ToChar(teller) + "   ";
                if (teller % 8 == 0)          // når 8 ascii-tegn er skrevet                   
                    textBox1.Text += "\r\n";  // på en linje skal linjeskift foretas
            }
            textBox1.Text += "198 Æ    216 Ø    197 Å";
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            short teller;
            textBox1.Text = "";
 
            for (teller = 1; (teller <= 255); teller++)
            {
                textBox1.Text = textBox1.Text + teller + " " + Convert.ToChar(teller) + "   ";
                if (teller % 8 == 0)          // når 8 ascii-tegn er skrevet                   
                    textBox1.Text += "\r\n";  // på en linje skal linjeskift foretas
            }

            // Problemer:
            //  Det er ikke alle skrifttypene som har innlagt alle tegnene
            //  i Assi-koden. Noen skrifttyper kniper også sammen skriften slik at
            //  utskriften her blir veldig rotete. 
            //  Egenskapen FontName bør derfor settes til  Courier New.

            //  For at alle tegnene skal få plass i skjermen, brukes Mod
            //  operatoren for å sjekke om telleren er delelig med 8. Det
            //  vil medføre linjeskift etter hvert 8. tegn.
            //  De særnorske tegnene æ, ø og å ligger inne som spesialtegn,
            //  slik at disse ligger således ikke sammen med de andre
            //  tegnene.


        }

    }
}
