﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Grader
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Beregn()
        {
            float Grader;
            try
            {
                Grader = float.Parse(txtGrader.Text);
                if (textBlock1.Text == "Celsius:")
                {
                    Grader = Grader * 9 / 5 + 32;
                }
                else //skal det beregnes grader for farenheit
                {
                    Grader = (Grader - 32) * 5 / 9;
                }
                txbGrader.Text = Grader.ToString("0.0");

            }
            catch (Exception ex)
            {
               // MessageBox.Show(ex.Message.ToString (), "Gradeomregning");
                MessageBox.Show(ex.Message,"Gradomregning", MessageBoxButton.OK );
                txtGrader.Focus();
            }
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Beregn();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            if (textBlock1.Text == "Celsius:")
            {
                textBlock1.Text = "Farenheit:";
                textBlock2.Text = "Celsius:";
            }
            else
            {
                textBlock1.Text = "Celsius:";
                textBlock2.Text = "Farenheit:";
            }
            txtGrader.Focus();
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            string tekst;
            tekst = "Grader beregnes ved å skrive inn verdien og deretter trykke linjeskift. Ønsker du å endre";
            tekst += " gradtypen, museklikkes kommandoknappen.";

            MessageBox.Show(tekst, "Hjelp", MessageBoxButton.OK);
        }
    }
}
